summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Elvio Basello (HelLViS69) <hellvis69@slackware.it>2010-05-13 00:57:29 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-13 00:57:29 +0200
commit431bc959696f1cc2758735d15ceae4f9dcdc6641 (patch)
tree26954a326908f7c8001e4ec5e28f3e4e6024bdff /audio
parent9459f312ee81c7e29f067400b0b64a64fbab1862 (diff)
downloadslackbuilds-431bc959696f1cc2758735d15ceae4f9dcdc6641.tar.gz
slackbuilds-431bc959696f1cc2758735d15ceae4f9dcdc6641.tar.xz
audio/mixxx: Added to 13.0 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/mixxx/README10
-rw-r--r--audio/mixxx/desktop.diff15
-rw-r--r--audio/mixxx/mixxx.SlackBuild101
-rw-r--r--audio/mixxx/mixxx.info10
-rw-r--r--audio/mixxx/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/audio/mixxx/README b/audio/mixxx/README
new file mode 100644
index 0000000000..8c1edc860c
--- /dev/null
+++ b/audio/mixxx/README
@@ -0,0 +1,10 @@
+Mixxx, free open source DJ software for performing live mixes.
+It's been created for DJs, by DJs. It has numerous features
+including parallel waveform summaries and displays, MP3, OGG, WAVE
+and FLAC playback, pitch independent time stretch, vinyl emulation,
+wave recording, BPM detection, multichannel and multiple soundcard
+support, MIDI controllers support and scripting engine, a skinnable
+interface
+
+Requires: scons, ladspa-sdk, libsndfile and portaudio all available
+at SlackBuilds.org.
diff --git a/audio/mixxx/desktop.diff b/audio/mixxx/desktop.diff
new file mode 100644
index 0000000000..8df7610c78
--- /dev/null
+++ b/audio/mixxx/desktop.diff
@@ -0,0 +1,15 @@
+--- src/mixxx.desktop 2009-10-14 18:29:18.000000000 +0200
++++ src/mixxx.desktop.new 2009-12-27 19:19:47.000000000 +0100
+@@ -3,9 +3,9 @@
+ Encoding=UTF-8
+ Name=Mixxx
+ Comment=A digital DJ interface
+-Exec=pasuspender mixxx
++Exec=mixxx
+ Terminal=false
+ Icon=mixxx-icon.png
+ Type=Application
+-Categories=AudioVideo;Audio;
+-GenericName[en_CA]=
++Categories=Applications;AudioVideo;Audio;
++GenericName=DJ Mixer
diff --git a/audio/mixxx/mixxx.SlackBuild b/audio/mixxx/mixxx.SlackBuild
new file mode 100644
index 0000000000..60700c90c5
--- /dev/null
+++ b/audio/mixxx/mixxx.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for mixxx
+
+# Copyright 2009 Elvio "HelLViS69" Basello <hellvis69@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mixxx
+VERSION=${VERSION:-1.7.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix the desktop file
+patch -p0 < $CWD/desktop.diff
+
+QTDIR=/usr/lib$LIBDIRSUFFIX/qt \
+scons \
+ prefix=/usr \
+ ipod=1 \
+ script=1 \
+ tonal=1
+
+QTDIR=/usr/lib$LIBDIRSUFFIX/qt \
+scons \
+ install_root=$PKG/usr \
+ prefix=/usr \
+ ipod=1 \
+ script=1 \
+ tonal=1 \
+ install
+
+# Remove windows' images db
+( cd $PKG
+ find . -name 'Thumbs.db' -exec rm {} \;
+)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/audio/mixxx/mixxx.info b/audio/mixxx/mixxx.info
new file mode 100644
index 0000000000..4fc92cc441
--- /dev/null
+++ b/audio/mixxx/mixxx.info
@@ -0,0 +1,10 @@
+PRGNAM="mixxx"
+VERSION="1.7.2"
+HOMEPAGE="http://www.mixxx.org"
+DOWNLOAD="http://downloads.mixxx.org/mixxx-1.7.2/mixxx-1.7.2-src.tar.gz"
+MD5SUM="a2121eb10f2521a44acd2d17ba6b481d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Elvio Basello (HelLViS69)"
+EMAIL="hellvis69@slackware.it"
+APPROVED="pprkut"
diff --git a/audio/mixxx/slack-desc b/audio/mixxx/slack-desc
new file mode 100644
index 0000000000..9c4f832bce
--- /dev/null
+++ b/audio/mixxx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+mixxx: Mixxx, free open source DJ software for performing live mixes.
+mixxx:
+mixxx: Mixxx is been created for DJs, by DJs. It has numerous features
+mixxx: including parallel waveform summaries and displays, MP3, OGG, WAVE
+mixxx: and FLAC playback, pitch independent time stretch, vinyl emulation,
+mixxx: wave recording, BPM detection, multichannel and multiple soundcard
+mixxx: support, MIDI controllers support and scripting engine, a skinnable
+mixxx: interface
+mixxx:
+mixxx: http://www.mixxx.org
+mixxx: